export function toDateTime(date: Date): string {
    if (typeof date === 'string') {
        date = new Date(date);
    }
    // This produces a CST-local time because server runs in CST
    const year = date.getFullYear();
    const month = (date.getMonth() + 1).toString().padStart(2, "0");
    const day = date.getDate().toString().padStart(2, "0");
    const hour = date.getHours().toString().padStart(2, "0");
    const minute = date.getMinutes().toString().padStart(2, "0");
    const second = date.getSeconds().toString().padStart(2, "0");

    return `${year}-${month}-${day} ${hour}:${minute}:${second}`;
}

export function toDateIgnoreZone(date: Date): string {
    if (typeof date === 'string') {
        date = new Date(date);
    }
    return date.toISOString().split('T')[0];
}

export function toDate(date: Date): string {
    if (typeof date === 'string') {
        date = new Date(date);
    }
    console.log(date);
    // This produces a CST-local date because server runs in CST
    const year = date.getFullYear();
    const month = (date.getMonth() + 1).toString().padStart(2, "0");
    const day = date.getDate().toString().padStart(2, "0");
    let out = `${year}-${month}-${day}`;

    console.log(out);
    return out;
}